
QGIS Application - Bug report #18146

Fatal: ASSERT failure in Job::startRender(): "pre-set DPI not equal to painter's DPI (96 vs 96)

2018-02-19 01:42 PM - Johannes Kroeger

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 26039

Description

I had played with the Magnifier. Toggled an XYZ tile layer on and off. Then when I tried to set it to "on" again, I got the crash below.

QGIS version 2.99.0-Master

QGIS code revision f2273c6a11

Compiled against Qt 5.10.0

Running against Qt 5.10.0

Compiled against GDAL/OGR 2.2.3

Running against GDAL/OGR 2.2.3

Compiled against GEOS 3.6.2-CAPI-1.10.2

Running against GEOS 3.6.2-CAPI-1.10.2 4d2925d6

PostgreSQL Client Version 10.1

SpatiaLite Version 4.3.0a

QWT Version 6.1.3

PROJ.4 Version 493

QScintilla2 Version 2.10.2

This copy of QGIS writes debugging output.

src/core/qgsmaprendererparalleljob.cpp: 222: (renderingFinished) [59ms] PARALLEL finished

src/core/qgsmaprendererparalleljob.cpp: 201: (renderLayersFinished) [731ms] PARALLEL layers finished

src/core/qgsmaprenderercustompainterjob.cpp: 342: (drawLabeling) [1ms] [thread:0x555559557040] Draw labeling took (seconds): 0

src/core/qgsmaprendererparalleljob.cpp: 222: (renderingFinished) [1ms] PARALLEL finished

src/core/qgsmaprendererjob.cpp: 410: (cleanupJobs) [0ms] caching image for

hamburg_latest_lines_7590f20e_142b_4fc6_8233_50aa1d84921c

src/core/qgsmaprendererjob.cpp: 440: (cleanupLabelJob) [0ms] caching label result image

src/gui/qgsmapcanvas.cpp: 566: (rendererJobFinished) [0ms] CANVAS finish! 1

Fatal: ASSERT failure in Job::startRender(): "pre-set DPI not equal to painter's DPI (96 vs 96)", file

/home/hannes/.cache/pacaur/qgis-git/src/qgis/src/core/qgsmaprenderercustompainterjob.cpp, line 70

QGIS died on signal -1warning: process 3719 is already traced by process 3714

ptrace: Operation not permitted.

No thread selected

No stack.

gdb returned 0

Thread 1 "qgis-git" received signal SIGABRT, Aborted.

0x00007ffff42c5860 in raise () from /usr/lib/libc.so.6

(gdb) bt

#0  0x00007ffff42c5860 in raise () at /usr/lib/libc.so.6

#1  0x00007ffff42c6ec9 in abort () at /usr/lib/libc.so.6
#2  0x00005555555607f5 in qgisCrash(int) (signal=<optimized out>) at /tmp/qgis-git/src/qgis/src/app/main.cpp:337

#3  0x0000555555560a86 in myMessageOutput(QtMsgType, char const*) (type=<optimized out>, msg=0x55555c4dfb88 "ASSERT

failure in Job::startRender(): \"pre-set DPI not equal to painter's DPI (96 vs 96)\", file

/tmp/qgis-git/src/qgis/src/core/qgsmaprenderercustompainterjob.cpp, line 70")

    at /tmp/qgis-git/src/qgis/src/app/main.cpp:390

#4  0x00007ffff4c7d98b in  () at /usr/lib/libQt5Core.so.5

#5  0x00007ffff4c7f8ae in QMessageLogger::fatal(char const*, ...) const () at /usr/lib/libQt5Core.so.5

#6  0x00007ffff4c7a50b in  () at /usr/lib/libQt5Core.so.5

#7  0x00007ffff68ecd0c in QgsMapRendererCustomPainterJob::start() (this=0x5555602b1fa0)

    at /tmp/qgis-git/src/qgis/src/core/qgsmaprenderercustompainterjob.cpp:70

#8  0x00007ffff68f91d5 in QgsMapRendererSequentialJob::start() (this=0x555558cad670)

    at /tmp/qgis-git/src/qgis/src/core/qgsmaprenderersequentialjob.cpp:70

#9  0x00007ffff26a2204 in QgsMapCanvas::startPreviewJob(int) (this=0x5555560d28d0, number=0)

    at /tmp/qgis-git/src/qgis/src/gui/qgsmapcanvas.cpp:2252

#10 0x00007ffff4eb319f in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib/libQt5Core.so.5

#11 0x00007ffff4ebffc8 in QTimer::timeout(QTimer::QPrivateSignal) () at /usr/lib/libQt5Core.so.5

#12 0x00007ffff4ec0339 in QTimer::timerEvent(QTimerEvent*) () at /usr/lib/libQt5Core.so.5

#13 0x00007ffff4eb3a7b in QObject::event(QEvent*) () at /usr/lib/libQt5Core.so.5

#14 0x00007ffff5bfcecc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5

#15 0x00007ffff5c048a6 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5

#16 0x00007ffff678549b in QgsApplication::notify(QObject*, QEvent*) (this=0x7fffffffe380, receiver=0x5555560d2bf0,

event=0x7fffffffdc70)

    at /tmp/qgis-git/src/qgis/src/core/qgsapplication.cpp:317

#17 0x00007ffff4e82850 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5

#18 0x00007ffff4ede148 in QTimerInfoList::activateTimers() () at /usr/lib/libQt5Core.so.5

#19 0x00007ffff4ede97a in  () at /usr/lib/libQt5Core.so.5

#20 0x00007fffe8b4fe38 in g_main_context_dispatch () at /usr/lib/libglib-2.0.so.0

#21 0x00007fffe8b50081 in  () at /usr/lib/libglib-2.0.so.0

#22 0x00007fffe8b5010e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0

#23 0x00007ffff4eded01 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at

/usr/lib/libQt5Core.so.5

#24 0x00007fffd4dc22e2 in  () at /usr/lib/libQt5XcbQpa.so.5

#25 0x00007ffff4e80e9b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5

#26 0x00007ffff4e8a188 in QCoreApplication::exec() () at /usr/lib/libQt5Core.so.5

#27 0x000055555555cefc in main(int, char**) (argc=<optimized out>, argv=<optimized out>)

    at /tmp/qgis-git/src/qgis/src/app/main.cpp:1431

History

#1 - 2018-02-22 07:43 PM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2018-02-24 10:01 AM - Alessandro Pasotti

- Status changed from Open to Feedback

I tried to reproduce this bug without success.

Perhaps a better definition of "playing with magnifier" would help.

Please attach step-by-step procedure to reproduce the issue.

#3 - 2018-02-25 07:15 PM - Johannes Kroeger
I have not managed to reproduce it myself and I have no more details than what I already posted. :\

#4 - 2018-02-25 08:20 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Johannes Kroeger wrote:

I have not managed to reproduce it myself and I have no more details than what I already posted. :\

reopen when you find a clear way to replicate, thanks!
